> ## Documentation Index
> Fetch the complete documentation index at: https://generaltranslation.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# 맞춤 트렌드

> 인증된 사용자에 맞게 개인화된 트렌딩 토픽을 가져옵니다

export const Button = ({href, children}) => {
  return <div className="not-prose group">
    <a href={href}>
      <button className="flex items-center space-x-2.5 py-1 px-4 bg-primary-dark dark:bg-white text-white dark:text-gray-950 rounded-full group-hover:opacity-[0.9] font-medium">
        <span>
          {children}
        </span>
        <svg width="3" height="24" viewBox="0 -9 3 24" class="h-6 rotate-0 overflow-visible"><path d="M0 0L3 3L0 6" fill="none" stroke="currentColor" stroke-width="1.5" stroke-linecap="round"></path></svg>
      </button>
    </a>
  </div>;
};

`Personalized Trends` 엔드포인트는 인증된 사용자의 위치와 관심사를 기반으로 해당 사용자에게 맞춤형 트렌드 토픽을 반환합니다.

<div id="overview">
  ## 개요
</div>

<CardGroup cols={2}>
  <Card title="개인 맞춤형" icon="user">
    사용자에 맞게 개인화된 트렌드
  </Card>

  <Card title="위치 기반" icon="location-dot">
    사용자의 위치를 기반으로 한 트렌드
  </Card>

  <Card title="실시간" icon="bolt">
    현재 급상승 중인 토픽
  </Card>
</CardGroup>

***

<div id="endpoint">
  ## 엔드포인트
</div>

| Method | Endpoint                       | Description |
| :----- | :----------------------------- | :---------- |
| GET    | `/2/users/personalized_trends` | 맞춤 트렌드 가져오기 |

***

<div id="example-request">
  ## 예시 요청
</div>

```bash theme={null}
curl "https://api.x.com/2/users/personalized_trends" \
  -H "Authorization: Bearer $USER_ACCESS_TOKEN"
```

<div id="example-response">
  ## 응답 예시
</div>

```json theme={null}
{
  "data": [
    {
      "trend_name": "#AI",
      "tweet_count": 125000
    },
    {
      "trend_name": "Machine Learning",
      "tweet_count": 85000
    }
  ]
}
```

***

<div id="getting-started">
  ## 시작하기
</div>

<Note>
  **사전 준비 사항**

  * 승인된 [개발자 계정](https://developer.x.com/en/portal/petition/essential/basic-info)
  * 개발자 콘솔의 [Project 및 App](/ko/resources/fundamentals/developer-apps)
  * [OAuth 2.0 PKCE](/ko/resources/fundamentals/authentication#oauth-2-0-authorization-code-flow-with-pkce-2)를 통한 사용자 액세스 토큰
</Note>

<CardGroup cols={2}>
  <Card title="WOEID별 트렌드" icon="globe" href="/ko/x-api/trends/trends-by-woeid/introduction">
    특정 위치의 트렌드를 가져올 수 있습니다
  </Card>

  <Card title="API 참조 문서" icon="code" href="/ko/x-api/trends/personalized-trends">
    전체 엔드포인트에 대한 문서
  </Card>
</CardGroup>
